package de.fraunhofer.iem.dataprovider.toolResult

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.sarif.Sarif
import kotlinx.serialization.encodeToString

import kotlinx.serialization.json.Json
import org.springframework.stereotype.Service

@Service
class ToolResultsPersistenceService(val toolResultsRepository: ToolResultsRepository) {

    private val logger = getLogger(javaClass)
    suspend fun save(sarif: Sarif) {
        logger.info("Save sarif request received.")
        val sarifString = Json.encodeToString(sarif)
        logger.debug("$sarifString")
        toolResultsRepository.save(
            ToolResultsDb(sarifResult = sarifString)
        )
    }

}